package com.inspect.ivs.view;

import com.inspect.ivs.base.feign.domain.IndexRange;
import com.inspect.ivs.domain.TimeSpan;
import java.io.Serializable;
import java.util.List;

public class IvsRecListView implements Serializable {
   private IvsRecListView.RecordInfos recordInfos;

   public IvsRecListView.RecordInfos getRecordInfos() {
      return this.recordInfos;
   }

   public void setRecordInfos(IvsRecListView.RecordInfos recordInfos) {
      this.recordInfos = recordInfos;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsRecListView)) {
         return false;
      } else {
         IvsRecListView other = (IvsRecListView)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            Object this$recordInfos = this.getRecordInfos();
            Object other$recordInfos = other.getRecordInfos();
            if(this$recordInfos == null) {
               if(other$recordInfos != null) {
                  return false;
               }
            } else if(!this$recordInfos.equals(other$recordInfos)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsRecListView;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $recordInfos = this.getRecordInfos();
      result = result * 59 + ($recordInfos == null?43:$recordInfos.hashCode());
      return result;
   }

   public String toString() {
      return "IvsRecordListView(recordInfos=" + this.getRecordInfos() + ")";
   }

   public static class PtzPresetInfo implements Serializable {
      private int presetIndex;
      private String presetName;
      private String reserve;
      private int focusSwitch;

      public int getPresetIndex() {
         return this.presetIndex;
      }

      public String getPresetName() {
         return this.presetName;
      }

      public String getReserve() {
         return this.reserve;
      }

      public int getFocusSwitch() {
         return this.focusSwitch;
      }

      public void setPresetIndex(int presetIndex) {
         this.presetIndex = presetIndex;
      }

      public void setPresetName(String presetName) {
         this.presetName = presetName;
      }

      public void setReserve(String reserve) {
         this.reserve = reserve;
      }

      public void setFocusSwitch(int focusSwitch) {
         this.focusSwitch = focusSwitch;
      }

      public boolean equals(Object o) {
         if(o == this) {
            return true;
         } else if(!(o instanceof IvsRecListView.PtzPresetInfo)) {
            return false;
         } else {
            IvsRecListView.PtzPresetInfo other = (IvsRecListView.PtzPresetInfo)o;
            if(!other.canEqual(this)) {
               return false;
            } else if(this.getPresetIndex() != other.getPresetIndex()) {
               return false;
            } else if(this.getFocusSwitch() != other.getFocusSwitch()) {
               return false;
            } else {
               label40: {
                  Object this$presetName = this.getPresetName();
                  Object other$presetName = other.getPresetName();
                  if(this$presetName == null) {
                     if(other$presetName == null) {
                        break label40;
                     }
                  } else if(this$presetName.equals(other$presetName)) {
                     break label40;
                  }

                  return false;
               }

               Object this$reserve = this.getReserve();
               Object other$reserve = other.getReserve();
               if(this$reserve == null) {
                  if(other$reserve != null) {
                     return false;
                  }
               } else if(!this$reserve.equals(other$reserve)) {
                  return false;
               }

               return true;
            }
         }
      }

      protected boolean canEqual(Object other) {
         return other instanceof IvsRecListView.PtzPresetInfo;
      }

      public int hashCode() {
         int PRIME = 1;
         int result = 1;
         result = result * 59 + this.getPresetIndex();
         result = result * 59 + this.getFocusSwitch();
         Object $presetName = this.getPresetName();
         result = result * 59 + ($presetName == null?43:$presetName.hashCode());
         Object $reserve = this.getReserve();
         result = result * 59 + ($reserve == null?43:$reserve.hashCode());
         return result;
      }

      public String toString() {
         return "IvsRecordListView.PtzPresetInfo(presetIndex=" + this.getPresetIndex() + ", presetName=" + this.getPresetName() + ", reserve=" + this.getReserve() + ", focusSwitch=" + this.getFocusSwitch() + ")";
      }
   }

   public static class LockInfo implements Serializable {
      private int lockId;
      private String lockTime;
      private TimeSpan lockTimeSpan;
      private String lockDesc;
      private int operatorId;
      private String operatorName;
      private String reserve;

      public int getLockId() {
         return this.lockId;
      }

      public String getLockTime() {
         return this.lockTime;
      }

      public TimeSpan getLockTimeSpan() {
         return this.lockTimeSpan;
      }

      public String getLockDesc() {
         return this.lockDesc;
      }

      public int getOperatorId() {
         return this.operatorId;
      }

      public String getOperatorName() {
         return this.operatorName;
      }

      public String getReserve() {
         return this.reserve;
      }

      public void setLockId(int lockId) {
         this.lockId = lockId;
      }

      public void setLockTime(String lockTime) {
         this.lockTime = lockTime;
      }

      public void setLockTimeSpan(TimeSpan lockTimeSpan) {
         this.lockTimeSpan = lockTimeSpan;
      }

      public void setLockDesc(String lockDesc) {
         this.lockDesc = lockDesc;
      }

      public void setOperatorId(int operatorId) {
         this.operatorId = operatorId;
      }

      public void setOperatorName(String operatorName) {
         this.operatorName = operatorName;
      }

      public void setReserve(String reserve) {
         this.reserve = reserve;
      }

      public boolean equals(Object o) {
         if(o == this) {
            return true;
         } else if(!(o instanceof IvsRecListView.LockInfo)) {
            return false;
         } else {
            IvsRecListView.LockInfo other = (IvsRecListView.LockInfo)o;
            if(!other.canEqual(this)) {
               return false;
            } else if(this.getLockId() != other.getLockId()) {
               return false;
            } else if(this.getOperatorId() != other.getOperatorId()) {
               return false;
            } else {
               label76: {
                  Object this$lockTime = this.getLockTime();
                  Object other$lockTime = other.getLockTime();
                  if(this$lockTime == null) {
                     if(other$lockTime == null) {
                        break label76;
                     }
                  } else if(this$lockTime.equals(other$lockTime)) {
                     break label76;
                  }

                  return false;
               }

               Object this$lockTimeSpan = this.getLockTimeSpan();
               Object other$lockTimeSpan = other.getLockTimeSpan();
               if(this$lockTimeSpan == null) {
                  if(other$lockTimeSpan != null) {
                     return false;
                  }
               } else if(!this$lockTimeSpan.equals(other$lockTimeSpan)) {
                  return false;
               }

               label62: {
                  Object this$lockDesc = this.getLockDesc();
                  Object other$lockDesc = other.getLockDesc();
                  if(this$lockDesc == null) {
                     if(other$lockDesc == null) {
                        break label62;
                     }
                  } else if(this$lockDesc.equals(other$lockDesc)) {
                     break label62;
                  }

                  return false;
               }

               label55: {
                  Object this$operatorName = this.getOperatorName();
                  Object other$operatorName = other.getOperatorName();
                  if(this$operatorName == null) {
                     if(other$operatorName == null) {
                        break label55;
                     }
                  } else if(this$operatorName.equals(other$operatorName)) {
                     break label55;
                  }

                  return false;
               }

               Object this$reserve = this.getReserve();
               Object other$reserve = other.getReserve();
               if(this$reserve == null) {
                  if(other$reserve != null) {
                     return false;
                  }
               } else if(!this$reserve.equals(other$reserve)) {
                  return false;
               }

               return true;
            }
         }
      }

      protected boolean canEqual(Object other) {
         return other instanceof IvsRecListView.LockInfo;
      }

      public int hashCode() {
         int PRIME = 1;
         int result = 1;
         result = result * 59 + this.getLockId();
         result = result * 59 + this.getOperatorId();
         Object $lockTime = this.getLockTime();
         result = result * 59 + ($lockTime == null?43:$lockTime.hashCode());
         Object $lockTimeSpan = this.getLockTimeSpan();
         result = result * 59 + ($lockTimeSpan == null?43:$lockTimeSpan.hashCode());
         Object $lockDesc = this.getLockDesc();
         result = result * 59 + ($lockDesc == null?43:$lockDesc.hashCode());
         Object $operatorName = this.getOperatorName();
         result = result * 59 + ($operatorName == null?43:$operatorName.hashCode());
         Object $reserve = this.getReserve();
         result = result * 59 + ($reserve == null?43:$reserve.hashCode());
         return result;
      }

      public String toString() {
         return "IvsRecordListView.LockInfo(lockId=" + this.getLockId() + ", lockTime=" + this.getLockTime() + ", lockTimeSpan=" + this.getLockTimeSpan() + ", lockDesc=" + this.getLockDesc() + ", operatorId=" + this.getOperatorId() + ", operatorName=" + this.getOperatorName() + ", reserve=" + this.getReserve() + ")";
      }
   }

   public static class BookmarkInfo implements Serializable {
      private int bookmarkId;
      private String bookmarkName;
      private String bookmarkTime;
      private String cameraCode;
      private String cameraName;
      private String userDomain;
      private int bookmarkCreatorId;
      private int bookmarkCreatorName;
      private String nvrCode;
      private String mbuDomain;
      private String reserve;

      public int getBookmarkId() {
         return this.bookmarkId;
      }

      public String getBookmarkName() {
         return this.bookmarkName;
      }

      public String getBookmarkTime() {
         return this.bookmarkTime;
      }

      public String getCameraCode() {
         return this.cameraCode;
      }

      public String getCameraName() {
         return this.cameraName;
      }

      public String getUserDomain() {
         return this.userDomain;
      }

      public int getBookmarkCreatorId() {
         return this.bookmarkCreatorId;
      }

      public int getBookmarkCreatorName() {
         return this.bookmarkCreatorName;
      }

      public String getNvrCode() {
         return this.nvrCode;
      }

      public String getMbuDomain() {
         return this.mbuDomain;
      }

      public String getReserve() {
         return this.reserve;
      }

      public void setBookmarkId(int bookmarkId) {
         this.bookmarkId = bookmarkId;
      }

      public void setBookmarkName(String bookmarkName) {
         this.bookmarkName = bookmarkName;
      }

      public void setBookmarkTime(String bookmarkTime) {
         this.bookmarkTime = bookmarkTime;
      }

      public void setCameraCode(String cameraCode) {
         this.cameraCode = cameraCode;
      }

      public void setCameraName(String cameraName) {
         this.cameraName = cameraName;
      }

      public void setUserDomain(String userDomain) {
         this.userDomain = userDomain;
      }

      public void setBookmarkCreatorId(int bookmarkCreatorId) {
         this.bookmarkCreatorId = bookmarkCreatorId;
      }

      public void setBookmarkCreatorName(int bookmarkCreatorName) {
         this.bookmarkCreatorName = bookmarkCreatorName;
      }

      public void setNvrCode(String nvrCode) {
         this.nvrCode = nvrCode;
      }

      public void setMbuDomain(String mbuDomain) {
         this.mbuDomain = mbuDomain;
      }

      public void setReserve(String reserve) {
         this.reserve = reserve;
      }

      public boolean equals(Object o) {
         if(o == this) {
            return true;
         } else if(!(o instanceof IvsRecListView.BookmarkInfo)) {
            return false;
         } else {
            IvsRecListView.BookmarkInfo other = (IvsRecListView.BookmarkInfo)o;
            if(!other.canEqual(this)) {
               return false;
            } else if(this.getBookmarkId() != other.getBookmarkId()) {
               return false;
            } else if(this.getBookmarkCreatorId() != other.getBookmarkCreatorId()) {
               return false;
            } else if(this.getBookmarkCreatorName() != other.getBookmarkCreatorName()) {
               return false;
            } else {
               Object this$bookmarkName = this.getBookmarkName();
               Object other$bookmarkName = other.getBookmarkName();
               if(this$bookmarkName == null) {
                  if(other$bookmarkName != null) {
                     return false;
                  }
               } else if(!this$bookmarkName.equals(other$bookmarkName)) {
                  return false;
               }

               label107: {
                  Object this$bookmarkTime = this.getBookmarkTime();
                  Object other$bookmarkTime = other.getBookmarkTime();
                  if(this$bookmarkTime == null) {
                     if(other$bookmarkTime == null) {
                        break label107;
                     }
                  } else if(this$bookmarkTime.equals(other$bookmarkTime)) {
                     break label107;
                  }

                  return false;
               }

               Object this$cameraCode = this.getCameraCode();
               Object other$cameraCode = other.getCameraCode();
               if(this$cameraCode == null) {
                  if(other$cameraCode != null) {
                     return false;
                  }
               } else if(!this$cameraCode.equals(other$cameraCode)) {
                  return false;
               }

               Object this$cameraName = this.getCameraName();
               Object other$cameraName = other.getCameraName();
               if(this$cameraName == null) {
                  if(other$cameraName != null) {
                     return false;
                  }
               } else if(!this$cameraName.equals(other$cameraName)) {
                  return false;
               }

               label86: {
                  Object this$userDomain = this.getUserDomain();
                  Object other$userDomain = other.getUserDomain();
                  if(this$userDomain == null) {
                     if(other$userDomain == null) {
                        break label86;
                     }
                  } else if(this$userDomain.equals(other$userDomain)) {
                     break label86;
                  }

                  return false;
               }

               label79: {
                  Object this$nvrCode = this.getNvrCode();
                  Object other$nvrCode = other.getNvrCode();
                  if(this$nvrCode == null) {
                     if(other$nvrCode == null) {
                        break label79;
                     }
                  } else if(this$nvrCode.equals(other$nvrCode)) {
                     break label79;
                  }

                  return false;
               }

               label72: {
                  Object this$mbuDomain = this.getMbuDomain();
                  Object other$mbuDomain = other.getMbuDomain();
                  if(this$mbuDomain == null) {
                     if(other$mbuDomain == null) {
                        break label72;
                     }
                  } else if(this$mbuDomain.equals(other$mbuDomain)) {
                     break label72;
                  }

                  return false;
               }

               Object this$reserve = this.getReserve();
               Object other$reserve = other.getReserve();
               if(this$reserve == null) {
                  if(other$reserve != null) {
                     return false;
                  }
               } else if(!this$reserve.equals(other$reserve)) {
                  return false;
               }

               return true;
            }
         }
      }

      protected boolean canEqual(Object other) {
         return other instanceof IvsRecListView.BookmarkInfo;
      }

      public int hashCode() {
         int PRIME = 1;
         int result = 1;
          result = result * 59 + this.getBookmarkId();
         result = result * 59 + this.getBookmarkCreatorId();
         result = result * 59 + this.getBookmarkCreatorName();
         Object $bookmarkName = this.getBookmarkName();
         result = result * 59 + ($bookmarkName == null?43:$bookmarkName.hashCode());
         Object $bookmarkTime = this.getBookmarkTime();
         result = result * 59 + ($bookmarkTime == null?43:$bookmarkTime.hashCode());
         Object $cameraCode = this.getCameraCode();
         result = result * 59 + ($cameraCode == null?43:$cameraCode.hashCode());
         Object $cameraName = this.getCameraName();
         result = result * 59 + ($cameraName == null?43:$cameraName.hashCode());
         Object $userDomain = this.getUserDomain();
         result = result * 59 + ($userDomain == null?43:$userDomain.hashCode());
         Object $nvrCode = this.getNvrCode();
         result = result * 59 + ($nvrCode == null?43:$nvrCode.hashCode());
         Object $mbuDomain = this.getMbuDomain();
         result = result * 59 + ($mbuDomain == null?43:$mbuDomain.hashCode());
         Object $reserve = this.getReserve();
         result = result * 59 + ($reserve == null?43:$reserve.hashCode());
         return result;
      }

      public String toString() {
         return "IvsRecordListView.BookmarkInfo(bookmarkId=" + this.getBookmarkId() + ", bookmarkName=" + this.getBookmarkName() + ", bookmarkTime=" + this.getBookmarkTime() + ", cameraCode=" + this.getCameraCode() + ", cameraName=" + this.getCameraName() + ", userDomain=" + this.getUserDomain() + ", bookmarkCreatorId=" + this.getBookmarkCreatorId() + ", bookmarkCreatorName=" + this.getBookmarkCreatorName() + ", nvrCode=" + this.getNvrCode() + ", mbuDomain=" + this.getMbuDomain() + ", reserve=" + this.getReserve() + ")";
      }
   }

   public static class RecordInfo implements Serializable {
      private String recordFileName;
      private int recordMethod;
      private String nvrCode;
      private String mbuDomain;
      private String recordType;
      private String alarmType;
      private TimeSpan recordTime;
      private int frameExtractionTimes;
      private IvsRecListView.BookmarkInfo bookmarkInfo;
      private IvsRecListView.LockInfo lockInfo;
      private IvsRecListView.PtzPresetInfo ptzPresetInfo;
      private String reserve;

      public String getRecordFileName() {
         return this.recordFileName;
      }

      public int getRecordMethod() {
         return this.recordMethod;
      }

      public String getNvrCode() {
         return this.nvrCode;
      }

      public String getMbuDomain() {
         return this.mbuDomain;
      }

      public String getRecordType() {
         return this.recordType;
      }

      public String getAlarmType() {
         return this.alarmType;
      }

      public TimeSpan getRecordTime() {
         return this.recordTime;
      }

      public int getFrameExtractionTimes() {
         return this.frameExtractionTimes;
      }

      public IvsRecListView.BookmarkInfo getBookmarkInfo() {
         return this.bookmarkInfo;
      }

      public IvsRecListView.LockInfo getLockInfo() {
         return this.lockInfo;
      }

      public IvsRecListView.PtzPresetInfo getPtzPresetInfo() {
         return this.ptzPresetInfo;
      }

      public String getReserve() {
         return this.reserve;
      }

      public void setRecordFileName(String recordFileName) {
         this.recordFileName = recordFileName;
      }

      public void setRecordMethod(int recordMethod) {
         this.recordMethod = recordMethod;
      }

      public void setNvrCode(String nvrCode) {
         this.nvrCode = nvrCode;
      }

      public void setMbuDomain(String mbuDomain) {
         this.mbuDomain = mbuDomain;
      }

      public void setRecordType(String recordType) {
         this.recordType = recordType;
      }

      public void setAlarmType(String alarmType) {
         this.alarmType = alarmType;
      }

      public void setRecordTime(TimeSpan recordTime) {
         this.recordTime = recordTime;
      }

      public void setFrameExtractionTimes(int frameExtractionTimes) {
         this.frameExtractionTimes = frameExtractionTimes;
      }

      public void setBookmarkInfo(IvsRecListView.BookmarkInfo bookmarkInfo) {
         this.bookmarkInfo = bookmarkInfo;
      }

      public void setLockInfo(IvsRecListView.LockInfo lockInfo) {
         this.lockInfo = lockInfo;
      }

      public void setPtzPresetInfo(IvsRecListView.PtzPresetInfo ptzPresetInfo) {
         this.ptzPresetInfo = ptzPresetInfo;
      }

      public void setReserve(String reserve) {
         this.reserve = reserve;
      }

      public boolean equals(Object o) {
         if(o == this) {
            return true;
         } else if(!(o instanceof IvsRecListView.RecordInfo)) {
            return false;
         } else {
            IvsRecListView.RecordInfo other = (IvsRecListView.RecordInfo)o;
            if(!other.canEqual(this)) {
               return false;
            } else if(this.getRecordMethod() != other.getRecordMethod()) {
               return false;
            } else if(this.getFrameExtractionTimes() != other.getFrameExtractionTimes()) {
               return false;
            } else {
               label136: {
                  Object this$recordFileName = this.getRecordFileName();
                  Object other$recordFileName = other.getRecordFileName();
                  if(this$recordFileName == null) {
                     if(other$recordFileName == null) {
                        break label136;
                     }
                  } else if(this$recordFileName.equals(other$recordFileName)) {
                     break label136;
                  }

                  return false;
               }

               Object this$nvrCode = this.getNvrCode();
               Object other$nvrCode = other.getNvrCode();
               if(this$nvrCode == null) {
                  if(other$nvrCode != null) {
                     return false;
                  }
               } else if(!this$nvrCode.equals(other$nvrCode)) {
                  return false;
               }

               label122: {
                  Object this$mbuDomain = this.getMbuDomain();
                  Object other$mbuDomain = other.getMbuDomain();
                  if(this$mbuDomain == null) {
                     if(other$mbuDomain == null) {
                        break label122;
                     }
                  } else if(this$mbuDomain.equals(other$mbuDomain)) {
                     break label122;
                  }

                  return false;
               }

               label115: {
                  Object this$recordType = this.getRecordType();
                  Object other$recordType = other.getRecordType();
                  if(this$recordType == null) {
                     if(other$recordType == null) {
                        break label115;
                     }
                  } else if(this$recordType.equals(other$recordType)) {
                     break label115;
                  }

                  return false;
               }

               Object this$alarmType = this.getAlarmType();
               Object other$alarmType = other.getAlarmType();
               if(this$alarmType == null) {
                  if(other$alarmType != null) {
                     return false;
                  }
               } else if(!this$alarmType.equals(other$alarmType)) {
                  return false;
               }

               Object this$recordTime = this.getRecordTime();
               Object other$recordTime = other.getRecordTime();
               if(this$recordTime == null) {
                  if(other$recordTime != null) {
                     return false;
                  }
               } else if(!this$recordTime.equals(other$recordTime)) {
                  return false;
               }

               label94: {
                  Object this$bookmarkInfo = this.getBookmarkInfo();
                  Object other$bookmarkInfo = other.getBookmarkInfo();
                  if(this$bookmarkInfo == null) {
                     if(other$bookmarkInfo == null) {
                        break label94;
                     }
                  } else if(this$bookmarkInfo.equals(other$bookmarkInfo)) {
                     break label94;
                  }

                  return false;
               }

               label87: {
                  Object this$lockInfo = this.getLockInfo();
                  Object other$lockInfo = other.getLockInfo();
                  if(this$lockInfo == null) {
                     if(other$lockInfo == null) {
                        break label87;
                     }
                  } else if(this$lockInfo.equals(other$lockInfo)) {
                     break label87;
                  }

                  return false;
               }

               Object this$ptzPresetInfo = this.getPtzPresetInfo();
               Object other$ptzPresetInfo = other.getPtzPresetInfo();
               if(this$ptzPresetInfo == null) {
                  if(other$ptzPresetInfo != null) {
                     return false;
                  }
               } else if(!this$ptzPresetInfo.equals(other$ptzPresetInfo)) {
                  return false;
               }

               Object this$reserve = this.getReserve();
               Object other$reserve = other.getReserve();
               if(this$reserve == null) {
                  if(other$reserve != null) {
                     return false;
                  }
               } else if(!this$reserve.equals(other$reserve)) {
                  return false;
               }

               return true;
            }
         }
      }

      protected boolean canEqual(Object other) {
         return other instanceof IvsRecListView.RecordInfo;
      }

      public int hashCode() {
         int PRIME = 1;
         int result = 1;
          result = result * 59 + this.getRecordMethod();
         result = result * 59 + this.getFrameExtractionTimes();
         Object $recordFileName = this.getRecordFileName();
         result = result * 59 + ($recordFileName == null?43:$recordFileName.hashCode());
         Object $nvrCode = this.getNvrCode();
         result = result * 59 + ($nvrCode == null?43:$nvrCode.hashCode());
         Object $mbuDomain = this.getMbuDomain();
         result = result * 59 + ($mbuDomain == null?43:$mbuDomain.hashCode());
         Object $recordType = this.getRecordType();
         result = result * 59 + ($recordType == null?43:$recordType.hashCode());
         Object $alarmType = this.getAlarmType();
         result = result * 59 + ($alarmType == null?43:$alarmType.hashCode());
         Object $recordTime = this.getRecordTime();
         result = result * 59 + ($recordTime == null?43:$recordTime.hashCode());
         Object $bookmarkInfo = this.getBookmarkInfo();
         result = result * 59 + ($bookmarkInfo == null?43:$bookmarkInfo.hashCode());
         Object $lockInfo = this.getLockInfo();
         result = result * 59 + ($lockInfo == null?43:$lockInfo.hashCode());
         Object $ptzPresetInfo = this.getPtzPresetInfo();
         result = result * 59 + ($ptzPresetInfo == null?43:$ptzPresetInfo.hashCode());
         Object $reserve = this.getReserve();
         result = result * 59 + ($reserve == null?43:$reserve.hashCode());
         return result;
      }

      public String toString() {
         return "IvsRecordListView.RecordInfo(recordFileName=" + this.getRecordFileName() + ", recordMethod=" + this.getRecordMethod() + ", nvrCode=" + this.getNvrCode() + ", mbuDomain=" + this.getMbuDomain() + ", recordType=" + this.getRecordType() + ", alarmType=" + this.getAlarmType() + ", recordTime=" + this.getRecordTime() + ", frameExtractionTimes=" + this.getFrameExtractionTimes() + ", bookmarkInfo=" + this.getBookmarkInfo() + ", lockInfo=" + this.getLockInfo() + ", ptzPresetInfo=" + this.getPtzPresetInfo() + ", reserve=" + this.getReserve() + ")";
      }
   }

   public static class RecordInfoList implements Serializable {
      private List<IvsRecListView.RecordInfo> recordInfo;

      public List<IvsRecListView.RecordInfo> getRecordInfo() {
         return this.recordInfo;
      }

      public void setRecordInfo(List<IvsRecListView.RecordInfo> recordInfo) {
         this.recordInfo = recordInfo;
      }

      public boolean equals(Object o) {
         if(o == this) {
            return true;
         } else if(!(o instanceof IvsRecListView.RecordInfoList)) {
            return false;
         } else {
            IvsRecListView.RecordInfoList other = (IvsRecListView.RecordInfoList)o;
            if(!other.canEqual(this)) {
               return false;
            } else {
               Object this$recordInfo = this.getRecordInfo();
               Object other$recordInfo = other.getRecordInfo();
               if(this$recordInfo == null) {
                  if(other$recordInfo != null) {
                     return false;
                  }
               } else if(!this$recordInfo.equals(other$recordInfo)) {
                  return false;
               }

               return true;
            }
         }
      }

      protected boolean canEqual(Object other) {
         return other instanceof IvsRecListView.RecordInfoList;
      }

      public int hashCode() {
         int PRIME = 1;
         int result = 1;
         Object $recordInfo = this.getRecordInfo();
          result = result * 59 + ($recordInfo == null?43:$recordInfo.hashCode());
         return result;
      }

      public String toString() {
         return "IvsRecordListView.RecordInfoList(recordInfo=" + this.getRecordInfo() + ")";
      }
   }

   public static class RecordInfos implements Serializable {
      private int total;
      private IndexRange indexRange;
      private String reserve;
      private IvsRecListView.RecordInfoList recordInfoList;

      public int getTotal() {
         return this.total;
      }

      public IndexRange getIndexRange() {
         return this.indexRange;
      }

      public String getReserve() {
         return this.reserve;
      }

      public IvsRecListView.RecordInfoList getRecordInfoList() {
         return this.recordInfoList;
      }

      public void setTotal(int total) {
         this.total = total;
      }

      public void setIndexRange(IndexRange indexRange) {
         this.indexRange = indexRange;
      }

      public void setReserve(String reserve) {
         this.reserve = reserve;
      }

      public void setRecordInfoList(IvsRecListView.RecordInfoList recordInfoList) {
         this.recordInfoList = recordInfoList;
      }

      public boolean equals(Object o) {
         if(o == this) {
            return true;
         } else if(!(o instanceof IvsRecListView.RecordInfos)) {
            return false;
         } else {
            IvsRecListView.RecordInfos other = (IvsRecListView.RecordInfos)o;
            if(!other.canEqual(this)) {
               return false;
            } else if(this.getTotal() != other.getTotal()) {
               return false;
            } else {
               label49: {
                  Object this$indexRange = this.getIndexRange();
                  Object other$indexRange = other.getIndexRange();
                  if(this$indexRange == null) {
                     if(other$indexRange == null) {
                        break label49;
                     }
                  } else if(this$indexRange.equals(other$indexRange)) {
                     break label49;
                  }

                  return false;
               }

               Object this$reserve = this.getReserve();
               Object other$reserve = other.getReserve();
               if(this$reserve == null) {
                  if(other$reserve != null) {
                     return false;
                  }
               } else if(!this$reserve.equals(other$reserve)) {
                  return false;
               }

               Object this$recordInfoList = this.getRecordInfoList();
               Object other$recordInfoList = other.getRecordInfoList();
               if(this$recordInfoList == null) {
                  if(other$recordInfoList != null) {
                     return false;
                  }
               } else if(!this$recordInfoList.equals(other$recordInfoList)) {
                  return false;
               }

               return true;
            }
         }
      }

      protected boolean canEqual(Object other) {
         return other instanceof IvsRecListView.RecordInfos;
      }

      public int hashCode() {
         int PRIME = 1;
         int result = 1;
         result = result * 59 + this.getTotal();
         Object $indexRange = this;
         result = result * 59 + ($indexRange == null?43:$indexRange.hashCode());
         Object $reserve = this.getReserve();
         result = result * 59 + ($reserve == null?43:$reserve.hashCode());
         Object $recordInfoList = this.getRecordInfoList();
         result = result * 59 + ($recordInfoList == null?43:$recordInfoList.hashCode());
         return result;
      }

      public String toString() {
         return "IvsRecordListView.RecordInfos(total=" + this.getTotal() + ", indexRange=" + this.getIndexRange() + ", reserve=" + this.getReserve() + ", recordInfoList=" + this.getRecordInfoList() + ")";
      }
   }
}
